Bug 590811 - Thinkpad T400, Radeon HD 3400 with external monitor on DVI - X11 crashes
Thinkpad T400, Radeon HD 3400 with external monitor on DVI - X11 crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 14:22 EDT by Mebus
Modified: 2010-12-03 09:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:51:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mebus 2010-05-10 14:22:15 EDT
Description of the problem:

When I connect a external monitor to my Thinkpad T400 with the ATI Radeon HD 3400 active, first everything works fine (dual-head), but sometimes randomly X11 starts to hang. The only thing that I can do then is move the cursor around, but neither click anything nor open a terminal via keyboard shortcuts. The only solution I found is to reboot...

Everything works fine if I use the laptops internal monitor only.

Version-Release number of selected component (if applicable):

radeon driver
kernel: Linux version 2.6.31.5-127.fc12.i686.PAE
Desktop Environment: KDE 4.4.2
Screen resolution: 1440x900 & 1280x1024


How reproducible:

connect Thinkpad to a docking station
connect your DVI monitor to the dock
reboot
log on to KDE
open firefox
surf the web
watch X11 crash
Comment 1 Sven Lankes 2010-05-10 14:29:33 EDT
Please re-test using an up-to-date Kernel (kernel-2.6.32.11-99.fc12).

Also: 

 * Do you have desktop-effects enabled in KDE? 
 * Does it also crash when using gnome? 
 * Do you have mesa-dri-drivers-experimental installed?
Comment 2 Mebus 2010-05-10 15:04:44 EDT
I activated

Kernel 2.6.32.11-99.fc12.i686.PAE

in GRUB and rebooted.

Anyway X11 crashed. The external screen went black and the laptop screen went completely red, yellow and some other colors, too.

It also crashes when I use gnome.

I think desktop effects are not enabled in KDE.

mesa-dri-drivers-experimental is not installed.
Comment 3 Bug Zapper 2010-11-03 11:10:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:51:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.